<?php
  	function dispaly_pagination($total, $page, $recourd, $pageId, $sub_element_id,  $menu_id, $access_id)
	{
		$adjacents = 1;
		$prev = $page - 1;							//previous page is page - 1
		$next = $page + 1;							//next page is page + 1
		$lastpage = ceil($total/$recourd);		//lastpage is = total pages / items per page, rounded up.
		$lpm1 = $lastpage - 1;
		$pagination = "";
	
		if($lastpage > 1)
		{	
			$pagination .= "<div class=\"pagination\" >";
			//previous button
			if ($page > 1) 
				$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $prev, $recourd, '$menu_id', '$access_id', )\"> Previous </a>";
			else 
				$pagination.= "<span class='disabled'> Previous </span>";	
			
			//pages	
			if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
			{	
				for ($counter = 1; $counter <= $lastpage; $counter++)
				{
					if ($counter == $page) 
						$pagination.= "<span class=\"current\">$counter</span>";
					else 
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $counter, $recourd, '$menu_id', '$access_id')\" >                          $counter </a>";
				}
			}
			elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
			{
				//close to beginning; only hide later pages
				if($page < 1 + ($adjacents * 2))		
				{
					for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
					{
						if ($counter == $page) 
							$pagination.= "<span class=\"current\">$counter</span>";
						else 
							$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $counter, $recourd, '$menu_id', '$access_id')\">                	$counter</a>";
					}
					$pagination.= "...";
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $lpm1, $recourd, '$menu_id', '$access_id')\">$lpm1</a>";
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $lastpage, $recourd, '$menu_id', '$access_id')\">                   $lastpage</a>";
				}
				//in middle; hide some front and some back
				elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
				{
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, 1, $recourd, '$menu_id', '$access_id')\">1</a>";
					$pagination.= "...";
					for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
					{
						if ($counter == $page) 
							$pagination.= "<span class=\"current\">$counter</span>";
						else 
						$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $counter, $recourd, '$menu_id', '$access_id')\">                  $counter</a>";
					}
					$pagination.= "...";
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $lpm1, $recourd, '$menu_id', '$access_id')\">$lpm1</a>";
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $lastpage, $recourd, '$menu_id', '$access_id')\">                        $lastpage </a>";
				}
				//close to end; only hide early pages
				else 
				{
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, 1, $recourd, '$menu_id', '$access_id')\">1</a>";
					$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, 2, $recourd, '$menu_id', '$access_id')\">2</a>";
					
					$pagination.= "...";
					for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
					{
						if ($counter == $page) 
							$pagination.= "<span class=\"current\">$counter</span>";
						else 
							$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $counter, $recourd, '$menu_id', '$access_id')\">                      $counter</a>";
					}
				}
			}
			//next button
			if ($page < $counter - 1) 
				$pagination.= "<a href=\"#\" onClick=\"searchOperationPage('$pageId', 0, $sub_element_id, $next, $recourd, '$menu_id', '$access_id')\"> Next </a>";
			else $pagination.= "<span class=\"disabled\"> Next </span>";
				$pagination.= "</div>\n";		
		}
		return $pagination;
	}
	
?>